org.keycloak.util

## Class SystemPropertiesJsonParserFactory

- java.lang.Object
- - org.codehaus.jackson.JsonFactory
  - - org.codehaus.jackson.map.MappingJsonFactory
    - - org.keycloak.util.SystemPropertiesJsonParserFactory

- All Implemented Interfaces:
    org.codehaus.jackson.Versioned

      public class SystemPropertiesJsonParserFactory
      extends org.codehaus.jackson.map.MappingJsonFactory

  Provides replacing of system properties for parsed values
  Author:
    Marek Posolda

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SystemPropertiesJsonParserFactory.SystemPropertiesAwareJsonParser`

  - ### Field Summary

    - ### Fields inherited from class org.codehaus.jackson.JsonFactory

      `_characterEscapes, _generatorFeatures, _inputDecorator, _objectCodec, _outputDecorator, _parserFeatures, _recyclerRef, _rootByteSymbols, _rootCharSymbols, FORMAT_NAME_JSON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SystemPropertiesJsonParserFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.codehaus.jackson.JsonParser` | `_createJsonParser(byte[] data, int offset, int len, org.codehaus.jackson.io.IOContext ctxt)`
    `protected org.codehaus.jackson.JsonParser` | `_createJsonParser(InputStream in, org.codehaus.jackson.io.IOContext ctxt)`
    `protected org.codehaus.jackson.JsonParser` | `_createJsonParser(Reader r, org.codehaus.jackson.io.IOContext ctxt)`

    - ### Methods inherited from class org.codehaus.jackson.map.MappingJsonFactory

      `getCodec, getFormatName, hasFormat`

    - ### Methods inherited from class org.codehaus.jackson.JsonFactory

      `_createContext, _createJsonGenerator, _createUTF8JsonGenerator, _createWriter, _getBufferRecycler, _optimizedStreamFromURL, configure, configure, createJsonGenerator, createJsonGenerator, createJsonGenerator, createJsonGenerator, createJsonParser, createJsonParser, createJsonParser, createJsonParser, createJsonParser, createJsonParser, createJsonParser, disable, disable, disableGeneratorFeature, disableParserFeature, enable, enable, enableGeneratorFeature, enableParserFeature, getCharacterEscapes, getInputDecorator, getOutputDecorator, hasJSONFormat, isEnabled, isEnabled, isGeneratorFeatureEnabled, isParserFeatureEnabled, setCharacterEscapes, setCodec, setGeneratorFeature, setInputDecorator, setOutputDecorator, setParserFeature, version`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SystemPropertiesJsonParserFactory

          public SystemPropertiesJsonParserFactory()

  - ### Method Detail

    - #### _createJsonParser

          protected org.codehaus.jackson.JsonParser _createJsonParser(byte[] data,
                                                          int offset,
                                                          int len,
                                                          org.codehaus.jackson.io.IOContext ctxt)
                                                               throws IOException

      Overrides:
        `_createJsonParser` in class `org.codehaus.jackson.JsonFactory`
      Throws:
        `IOException`

    - #### _createJsonParser

          protected org.codehaus.jackson.JsonParser _createJsonParser(Reader r,
                                                          org.codehaus.jackson.io.IOContext ctxt)
                                                               throws IOException

      Overrides:
        `_createJsonParser` in class `org.codehaus.jackson.JsonFactory`
      Throws:
        `IOException`

    - #### _createJsonParser

          protected org.codehaus.jackson.JsonParser _createJsonParser(InputStream in,
                                                          org.codehaus.jackson.io.IOContext ctxt)
                                                               throws IOException

      Overrides:
        `_createJsonParser` in class `org.codehaus.jackson.JsonFactory`
      Throws:
        `IOException`

Copyright © 2015. All rights reserved.